/* 
 * DNet eBusiness Suite
 * Copyright: Nan21 Electronics SRL. All rights reserved.
 * Use is subject to license terms.
 */
package net.nan21.dnet.module.md.tx.fin.ds.model;

import net.nan21.dnet.core.api.annotation.Ds;
import net.nan21.dnet.core.api.annotation.DsField;
import net.nan21.dnet.core.presenter.model.base.AbstractAuditableDs;
import net.nan21.dnet.module.md.tx.fin.domain.entity.TxBalance;

@Ds(entity=TxBalance.class)
public class TxBalanceDs extends AbstractAuditableDs<TxBalance> {

 	public static final String fBUSINESSPARTNERID = "businessPartnerId";
 	public static final String fBUSINESSPARTNER = "businessPartner";
 	public static final String fORGANIZATIONID = "organizationId";
 	public static final String fORGANIZATION = "organization";
 	public static final String fCURRENCYID = "currencyId";
 	public static final String fCURRENCY = "currency";
 	public static final String fAMOUNT = "amount";
 	
 	@DsField(join="left", path="bpartner.id")
 	private Long businessPartnerId;
 	
 	@DsField(join="left", path="bpartner.code")
 	private String businessPartner;
 	
 	@DsField(join="left", path="org.id")
 	private Long organizationId;
 	
 	@DsField(join="left", path="org.code")
 	private String organization;
 	
 	@DsField(join="left", path="currency.id")
 	private Long currencyId;
 	
 	@DsField(join="left", path="currency.code")
 	private String currency;
 	
 	@DsField()
 	private Float amount;

	public TxBalanceDs() {
		super();
	}

 	public TxBalanceDs(TxBalance e) {
		super(e);
	}
	
	public Long getBusinessPartnerId() {
		return this.businessPartnerId;
	}
	
	public void setBusinessPartnerId(Long businessPartnerId) {
		this.businessPartnerId = businessPartnerId;
	}
	
	public String getBusinessPartner() {
		return this.businessPartner;
	}
	
	public void setBusinessPartner(String businessPartner) {
		this.businessPartner = businessPartner;
	}
	
	public Long getOrganizationId() {
		return this.organizationId;
	}
	
	public void setOrganizationId(Long organizationId) {
		this.organizationId = organizationId;
	}
	
	public String getOrganization() {
		return this.organization;
	}
	
	public void setOrganization(String organization) {
		this.organization = organization;
	}
	
	public Long getCurrencyId() {
		return this.currencyId;
	}
	
	public void setCurrencyId(Long currencyId) {
		this.currencyId = currencyId;
	}
	
	public String getCurrency() {
		return this.currency;
	}
	
	public void setCurrency(String currency) {
		this.currency = currency;
	}
	
	public Float getAmount() {
		return this.amount;
	}
	
	public void setAmount(Float amount) {
		this.amount = amount;
	}
}
