/* 
 * DNet eBusiness Suite
 * Copyright: Nan21 Electronics SRL. All rights reserved.
 * Use is subject to license terms.
 */
package net.nan21.dnet.module.md.tx.inventory.ds.model;

import net.nan21.dnet.core.api.annotation.Ds;
import net.nan21.dnet.core.api.annotation.DsField;
import net.nan21.dnet.core.presenter.model.base.AbstractAuditableDs;
import net.nan21.dnet.module.md.tx.inventory.domain.entity.InvBalance;

@Ds(entity=InvBalance.class)
public class InvBalanceDs extends AbstractAuditableDs<InvBalance> {

 	public static final String fINVENTORYID = "inventoryId";
 	public static final String fINVENTORY = "inventory";
 	public static final String fSUBINVENTORYID = "subInventoryId";
 	public static final String fSUBINVENTORY = "subInventory";
 	public static final String fLOCATORID = "locatorId";
 	public static final String fLOCATOR = "locator";
 	public static final String fITEMID = "itemId";
 	public static final String fITEM = "item";
 	public static final String fITEMNAME = "itemName";
 	public static final String fQUANTITY = "quantity";
 	public static final String fUOMID = "uomId";
 	public static final String fUOM = "uom";
 	
 	@DsField(join="left", path="subInventory.inventory.id")
 	private Long inventoryId;
 	
 	@DsField(join="left", path="subInventory.inventory.name")
 	private String inventory;
 	
 	@DsField(join="left", path="subInventory.id")
 	private Long subInventoryId;
 	
 	@DsField(join="left", path="subInventory.name")
 	private String subInventory;
 	
 	@DsField(join="left", path="locator.id")
 	private Long locatorId;
 	
 	@DsField(join="left", path="locator.name")
 	private String locator;
 	
 	@DsField(join="left", path="item.id")
 	private Long itemId;
 	
 	@DsField(join="left", path="item.code")
 	private String item;
 	
 	@DsField(join="left", path="item.name")
 	private String itemName;
 	
 	@DsField()
 	private Float quantity;
 	
 	@DsField(join="left", path="uom.id")
 	private Long uomId;
 	
 	@DsField(join="left", path="uom.code")
 	private String uom;

	public InvBalanceDs() {
		super();
	}

 	public InvBalanceDs(InvBalance e) {
		super(e);
	}
	
	public Long getInventoryId() {
		return this.inventoryId;
	}
	
	public void setInventoryId(Long inventoryId) {
		this.inventoryId = inventoryId;
	}
	
	public String getInventory() {
		return this.inventory;
	}
	
	public void setInventory(String inventory) {
		this.inventory = inventory;
	}
	
	public Long getSubInventoryId() {
		return this.subInventoryId;
	}
	
	public void setSubInventoryId(Long subInventoryId) {
		this.subInventoryId = subInventoryId;
	}
	
	public String getSubInventory() {
		return this.subInventory;
	}
	
	public void setSubInventory(String subInventory) {
		this.subInventory = subInventory;
	}
	
	public Long getLocatorId() {
		return this.locatorId;
	}
	
	public void setLocatorId(Long locatorId) {
		this.locatorId = locatorId;
	}
	
	public String getLocator() {
		return this.locator;
	}
	
	public void setLocator(String locator) {
		this.locator = locator;
	}
	
	public Long getItemId() {
		return this.itemId;
	}
	
	public void setItemId(Long itemId) {
		this.itemId = itemId;
	}
	
	public String getItem() {
		return this.item;
	}
	
	public void setItem(String item) {
		this.item = item;
	}
	
	public String getItemName() {
		return this.itemName;
	}
	
	public void setItemName(String itemName) {
		this.itemName = itemName;
	}
	
	public Float getQuantity() {
		return this.quantity;
	}
	
	public void setQuantity(Float quantity) {
		this.quantity = quantity;
	}
	
	public Long getUomId() {
		return this.uomId;
	}
	
	public void setUomId(Long uomId) {
		this.uomId = uomId;
	}
	
	public String getUom() {
		return this.uom;
	}
	
	public void setUom(String uom) {
		this.uom = uom;
	}
}
